Package pyplusplus :: Package decl_wrappers :: Module call_policies :: Class return_internal_reference_t

# type return_internal_reference_t

source code

       object --+
                |
    call_policy_t --+
                    |
    compound_policy_t --+
                        |
                       return_internal_reference_t

implements code generation for boost::python::return_internal_reference call policies

Instance Methods

__init__(self, position=1, base=None) | source code

Inherited from `compound_policy_t`: `__str__` Inherited from `call_policy_t`: `create`, `create_template_arg`, `create_type`, `is_default`, `is_predefined`

Properties
| position
Inherited from `compound_policy_t`: `base_policy` Inherited from `call_policy_t`: `header_file`

Method Details

### __init__(self, position=1, base=None)
(Constructor)

source code

Overrides: call_policy_t.__init__

Property Details

### position

Get Method:
  _get_position(self)
Set Method:
  _set_position(self, new_position)